{
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixpkgs-unstable";
    nix-systems.url = "github:nix-systems/default-linux";
  };

  outputs =
    inputs:
    with inputs;
    let
      forAllSystems =
        function:
        nixpkgs.lib.genAttrs (import nix-systems) (
          system: function system nixpkgs.legacyPackages.${system}
        );
    in
    {
      packages =
        preferredNix:
        forAllSystems (
          _: pkgs: {
            default = pkgs.writeShellApplication {
              name = "smooooth";
              runtimeInputs = builtins.getAttrs {
                inherit (pkgs)
                  polkit
                  gnugrep
                  coreutils
                  libnotify
                  ;
                inherit preferredNix;
              };
              text = builtins.readFile ./smooooth.sh;
            };
          }
        );
      nixosModules = forAllSystems (
        system: _: import ./module.nix { smooooth = self.packages.${system}.default; }
      );
    };
}
